import request from '@/utils/request'
import { exp } from 'qrcode/lib/core/galois-field'

// 用户获取提现手续费
export function appGetWithdrawService(channelId) {
  return request({
    url: "/app/bill/getWithdrawService",
    method: 'get',
    params: {
      channelId
    }
  })
}

// 用户申请提现
export function appAddWithdraw(data) {
  return request({
    url: "/app/bill/withdraw",
    method: 'post',
    data
  })
}

// 用户获取提现列表
export function appListWithdraw(params) {
  return request({
    url: "/app/withdraw/withdrawList",
    method: 'get',
    params
  })
}

// 用户获取提现详情
export function appGetWithdraw(billId) {
  return request({
    url: `/mch/withdraw/${billId}`,
    method: 'get'
  })
}
